Subject: Convex & Dynix mods for 3/12/93 sam

From: Ed Kubaitis - CCSO <[email-masked]>
Date: Mon, 15 Mar 1993 14:27:07 -0500

3/12 sam on ConvexOS 10.1 only needed the suggested alternative for tempnam()
in the comments for sam/unix.c:newtmp(). The latin1.c change mentioned
in the README for Convex 9.1 is not necessary.

Sequent Dynix 3 is a much sadder case. It compiled with a couple defs
in samterm/unix.c for O_NONBLOCK and atexeit(). But samterm hung with
its window unresponsive to mouse or keyboard. I think the problem is
Dynix 3 (according to the fcntl(2) man page) only supports non-blocking
I/O for tty's, not named pipes or sockets. Hard coding a 'return;' at
the beginning of samterm/unix.c:exstart(), got rid of the hang, but at
the cost of tossing the main 3/12 feature overboard. Sigh.

Ed